pico-8 cartridge // http://www.pico-8.com
version 42
__lua__
-- l3 iwm 2024
-- retrogaming 
oop={
 new=function(_,o)
  o=o or {}
  _.__index=_
  return setmetatable(o,_)
 end
}


-->8
-- eNVIRONNEMENT (DE JEU)
env=oop:new({
 l=0,    -- lEVEL  
 v={},   -- cOUCHES VISIBLES
 m={},   -- mAP AFFICHEE
 t={},   -- dECLENCHEURS

 d=1,    -- sENS DE L'ANIMATION
         -- DU FOND DE L'ECRAN

 timer_start=nil, -- heure debut du timer pour la barre de progression
 global_timer_start=nil, -- heure de debut du timer global
 progress_bar_duration=10, -- duree de la barre de progression en secondes (600 secondes pour 10 minutes)
 game_over=false, -- eat du jeu (game over)

 restart=function(_)
  _.f=1  -- 1:eNDROIT, 2:eNVERS
  _.c=1  -- cOULEUR DU VIDE
  _.cs=13-- cOULEUR DU SOL
  _.v[ 0]=true  -- aFF. cALQUE 0
  _.v[ 1]=false -- mSQ.  /  /  1
  _.v[ 2]=false -- mSQ.  /  /  2
  _.v[ 3]=false -- mSQ.  /  /  3
  _.t[19]=false -- tRG. SPR. 19
  _.t[20]=false -- tRG. SPR. 20
  _.t[21]=false -- tRG. SPR. 21
  _.t[35]=false -- tRG. SPR. 35
  _.t[36]=false -- tRG. SPR. 36
  _.t[37]=false -- tRG. SPR. 37
  
  -- aFFICHAGE (POUR CALCUL
  -- DE _.m)
  _:draw()  
  -- rECHERCHE DE LA POSITION
  -- DE DEPART DU plr
  return _:scan(1)
 end,
 init=function(_)
  _:restart()
 end,
 draw=function(_)
  -- st VALEUR DE DEPART POUR
  -- LIRE LA map
  local st=(_.f==1 and 0) or 15
       ,sn -- nUM. SPR.
       ,ml -- lIGNE DE map
       ,lx -- lEVEL x OFFSET
       ,lyV-- lEVEL y OFFSET
  -- EFFQCEMENT ECRAN
  -- cls(1)
  fx:dither(_.d)
  -- cALCUL DES OFFSETS
  lx=flr(_.l%8)*16
  ly=flr(_.l/8)*16    
  -- mEMORISATION DES SPRITES
  -- A L'ECRAN 
  _.m={{},{},{},{},{},{},{},{},
       {},{},{},{},{},{},{},{}}
  -- pOUR CHAQUE LIGNE
  for iy=0,15 do
   ml=_.m[iy+1]
   -- pOUR CHAQUE COLONNE
   for ix=0,15 do
    -- rECUP. DU NUM. DE SPR.
    sn=mget(
            st+ix*_.f+lx
           ,st+iy*_.f+ly
           )
    -- sI LE SPR. APPARTIENT
    -- A UN CALQUE A AFF.       
    if _.v[fget(sn)]==true then       
     -- mEM. DE SON NUM.
     add(ml,sn)
     -- sI CE N'EST PAS LE plr
     -- NI LE BONUS time
     if sn!=1 and sn!=17 then
      -- aFFICHAFE DU SPRITE
     
      spr(anim:get(sn)
         ,ix*8
         ,iy*8
         ,1
         ,1
         ,false
         ,_.f!=1)
         
     end
    else
     -- sINON (SPRITE A NE PAS
     -- AFF.), MEM. NUM 0 (VIDE)
     add(ml,0)
    end
   end
  end
 end,
 scan=function(_,s)
  local px,py=nil,nil
  -- rECHERCHE DE LA POSITION
  -- DE DEPART DU plr
  if _.m[1]!=nil then 
   for iy=1,16 do
    for ix=1,16 do
     if _.m[iy][ix]==s then
      px=(ix-1)*8
      py=(iy-1)*8
     end
    end
   end
  end
  return px,py
 end,
 count=function(_,s)
  local n=0
  -- cOMPTE LE NB DE SPR. S
  -- DANS LA MAP DE L'ECRAN.
  if _.m[1]!=nil then 
   for iy=1,16 do
    for ix=1,16 do
     if _.m[iy][ix]==s then
      n+=1
     end
    end
   end
  end
  return n
 end, 
 update_trigger=function(_,px,py)
  local ms 
  if _.m[1]!=nil then
   -- aCTIVATION DES TRIGGERS
   ms=_.m[1+flr(py/8)][1+flr(px/8)]
   -- pARCOURS DE TOUS LES
   -- TRG. POUR MAJ.
   for k,v in pairs(_.t) do
    -- sI PAS ACTIF ET DECTECTE
    if _.t[k]==false and
       ms==k then
      -- mARQUAGE ACTIF 
      _.t[k]=true
      -- cHGT DE L'ETAT DU
      -- CALQUE (AFF./MASQUER)
      if k>34 then
       k=k-16
      end
      _.v[k-18]=not _.v[k-18]
    else
     -- sINON (ACTIF ou PAS
     -- DETECTE)
     -- sI PAS DETECTE
     if ms!=k then
      -- mARQUAGE INACTIF
      _.t[k]=false  
     end
    end
   end
   -- cHANGEMENT DE NIVEAU
   if ms==34 then
    _.l=0
    _.game_over=false
    px,py=_:restart()    
    fx:set(1,1)   
   elseif ms==18 then
    _.l+=1
 
    _.timer_start=time() -- initialise le timer de la barre de progression a l'heure actuelle
    if _.l==1 then
      _.global_timer_start=time() -- initialise le timer global a l'heure actuelle
    end
    px,py=_:restart()
    _.progress_bar_duration -- definir la duree de la barre de progression, par dれたfaut 600 secondes (10 minutes)
     = 10 + _:count(17)*10  
    fx:set(1,1)
    sfx(0)
   else
    px,py=nil,nil    
   end
  else
   px,py=nil,nil
  end
  -- rETOURNE LE POSITION DANS
  -- LE NOUVEAU NIVEAU OU
  -- NIL,NIL SI MEME NIVEAU
  return px,py
 end,
 flip=function(_,p)
  -- rETOURNEMENT ET
  -- RENVERSEMENT DE L'ECRAN
  _.f=-_.f
  -- nOUVELLE COULEUR POUR LE
  -- VIDE
  _.c=((_.f==1) and 1) or 13
  _.cs=((_.f==1) and 13) or 1
  -- nOUVELLES COORD. plr 
  p.y=127-p.y-15
  p.x=127-p.x-6
  fx:set(2,5)
  sfx(15)
 end
})

-->8
-- jOUEUR
plr=oop:new({
 a="a", -- nOM ANIM.
 d="d",  -- dIRECTION
 e=nil, -- eNVIRONNEMENT
 x=70,  --\_ dEPART
 y= 0,  --/
 g= 0,  -- aPPLIQUER LA GRAVITE
 init=function(_)
  local px,py=nil,nil
  px,py=_.e:scan(1)
  if px!=nil then
   _.x=px
   _.y=py
  end 
 end,
 draw=function(_)
  fx:sdw(anim:get(
         "1".. _.a
         )
     ,_.x
     ,_.y
     ,3
     ,1
     ,1
     ,_.d=="g"
     ,false)
 end,
 update=function(_)
  local px,py=_.x+3,_.y+8 
  _.g=pget(px,py)!=_.e.cs
      and 1 or 0
  
  if _.g==0 then
   --msg=""..stat(16)
   if stat(16)==1 then
    sfx(-1)
   end
   px=_.x+(
    (btn(⬅️) and -1) or
    (btn(➡️) and  1) or
    0)+3
    
   if btn(⬅️) or btn(➡️) then
    _.a="m"
    -- mISE A JOUR DE LA DIR.
    -- 1) DU PERSO. POUR L'ANIM.
    _.d=(btn(⬅️) and "g") or
        (btn(➡️) and "d") or
        ""
    -- 2) DE L'AMIM. FOND ECR.
    _.e.d=_.d=="g" and -1 or 1
   else
    _.a="a"
   end 
    
   py-=1
  
   if pget(px,py)==_.e.c then
    _.x=px-3
   end
 
   if btnp(⬆️) then
    _.e:flip(_)
   end
  else 
   _.y+=_.g
   _.a="c"
   if stat(16)==-1 then
    sfx(1)
   end
  end

  if _.y<=119 and not btnp(❎) then
   px,py=_.e:update_trigger(px,py)
  else
   px,py=_.e:restart()
   -->> pERTE D'UNE VIE <<--  
  end
  if px!=nil then
   _.x=px
   _.y=py
  end
 end
})
-->8
-- aNIMATION
anim=oop:new({
 --[[ lISTE DES ANIMATIONS
  S<NUM.>={
           s={ <SPR.>, ... },
           v= <VITESSE>,
           -- pALETTE a<-b,c<-d
           p="ab,cd,..."
          }
 ]]
-- mem={},
 s1m={
       s={49,50,51,52},
       v=5
     },
 s1a={
       s={55,56},
       v=5
     },
 s1c={
       s={64,65,66,67,68,69,70,71},
       v=5
     },
 s1ca={
       s={96,97,98,99,100,101,102,103},
       v=5
     },                         
 s19={ 
       s={19,22,23},
       v=5
     },
 s20={ 
       s={19,22,23},
       v=5,
       p="49,9a"
     },
 s21={ 
       s={19,22,23},
       v=5,
       p="4a,97"
     },               
 get=function(_,s)
  local a=anim['s'..s]
  pal()
  if a!=nil then
--[[   
   local ok=""
   local nk=""..s
   if tonum(nk)==nil then
    if _.mem[ok]!=nil then
     nk=sub(s,-1)
     ok=_.mem[s]
     if type(ok)=="string" then
      if ok="c" and nk="a" then
       _.mem[s]=anim["s1ca"].s
      end
     else
      s=_.mem[s][1]
      del(_.mem[s],1)
      return s
     end
    else
     _.mem[s]=k
    end
   end
--]]   
   if a.p!=nil then
    for e in all(split(a.p)) do
     pal(tonum(sub(e,1,1),1)
        ,tonum(sub(e,2,2),1))
    end
   end
   s=a.s[1+flr(t()*a.v)%#a.s]
  end
  return s               
 end    
})
-->8
-- fx
fx=oop:new({
 init=function(_)
 --[[
 
 -.time DUREE DE L'EFFET
 _.type TYPE D'EFFET
 
   0 AUCUN EFFET EN COURS
   1 FLASH
   2 SCREEN SHAKE
 
 ]]--
  -- pARAMETRES DES EFFETS
  _.time,_.type=0,0
  -- pARAMETRES DE dither
  _.d={t=0,i=1,v={16,32,64,128}}
 end,
 -- rENVOI LE TYPE DE L'EFFET
 get=function(_)
  return _.type
 end,
 -- dEMANDE L'EFFET type 
 -- PENDANT time IMQGE(S)
 set=function(_,type,time)
  _.type=type
  _.time=time
 end,
 -- aFFICHAGE
 draw=function(_)
  -- dECOMPTE DE LA DUREE
  _.time-=1
  if _.time<0 then
   -- aRRET DE L'EFFET
   _.type=0
   camera(0,0)
  end
  if _.type==1 then
   -- fLASH
   rectfill(0,0,127,127,7)
  end
  if _.type==2 then
   -- sCREEN SHAKE
   camera(3-rnd(7),3-rnd(7))
  end
  if _.type==3 then
   -- fLASH
   rectfill(0,0,127,127,8)
  end  
 end,
 -- dESSINE LE SPR AVEC UNE
 -- OMBRE (d=DIRECTION)
 sdw=function (_,s,x,y,d,w,h,lr,ud)
  w=w or 1 -- gESTION DES VAL.  
  h=h or 1 -- PAR DEFAUT.
  lr=lr or false
  ud=ud or false
  -- tOUTES LES COULEURS EN NOIR
  for i=1,15 do
   pal(i,0)
  end
  -- tEST DES 4 DIRECTIONS 
  for i=0,3 do
   -- dESSINER LE SPR (EN NOIR)
   -- LA DIRECTION CORRESPOND
   -- A CELLE DE L'OMBRE.
   if band(d,2^i)!=0 then
    spr(s
      ,x+( ((i==0) and -1) or
           ((i==1) and  1) or
           0
         )
      ,y+( ((i==2) and -1) or
           ((i==3) and  1) or
           0
         )
      ,w,h,lr,ud
       )   
   end
  end
  pal()
  spr(s,x,y,w,h,lr,ud)
 end,
 -- gESTION ANIM. FOND ECRAN
 -- i = 1 VERS LA DROITE
 --   =-1 VERS LA GAUCHE
 dither=function (_,i)
  fillp(_.d.v[_.d.i+1])
  pal(0,2)
  rectfill(0,0,127,127,1)
  if _.d.t>10 then
   _.d.i=(_.d.i+i)%#_.d.v
   _.d.t=0
  else
   _.d.t+=1
  end
  fillp()
 end
})

 
-->8
-- hud
hud=oop:new({
 f2d=function(_,n)
  return sub("00"..n,-2)
 end,
 format_time=function(_,h,m,s)
  return _:f2d(h)..":".._:f2d(m)..":".._:f2d(s)
 end,
 draw=function(_)
  local txt
  if _.e.l==0 then
   -- the start
   txt="\^t✽ f l i p ✽"
   print(txt,39,15+cos(t())*3,2)
   print(txt,39,15+sin(t())*2,10)
   
   print("\f7p\f6ROJET l3 iwm 2024",40,40)
   
   print("\f7⬅️/➡️\f6 gAUCHE / dROITE",40,90)
   print("\f7⬆️\f6 fLIP",40,100)
   print("\f7❎\f6 ?",40,110)    
  elseif _.e.l==15 then
   -- the end
   print("game over", 44, 40, 8) -- texte rouge (couleur 8)
   
   -- afficher le timer global れたcoulれた
   local global_hours = flr(_.e.global_elapsed / 3600)
   local global_minutes = flr((_.e.global_elapsed % 3600) / 60)
   local global_seconds = flr(_.e.global_elapsed % 60)
   local global_timer_str = _:format_time(global_hours, global_minutes, global_seconds)
   local timer_text = "temps ecoule : " .. global_timer_str
   local timer_text_width = #timer_text * 4
   local timer_x = (128 - timer_text_width) / 2
   print(timer_text, timer_x, 90, 7) -- texte blanc (couleur 7)
  else
   -- the game
   -- afficher la barre de progression
   local elapsed = time() - _.e.timer_start
   local remaining_time = _.e.progress_bar_duration - elapsed
  
   if remaining_time <= 0 then
    _.e.game_over = true    
    remaining_time = 0
    _.e.global_elapsed = time() - _.e.global_timer_start -- sauvegarder le temps global れたcoulれた
   end
  
   local progress_width = 100 -- largeur de la barre de progression
   local progress_height = 4 -- hauteur de la barre de progression rれたduite
   local progress = max(0, remaining_time / _.e.progress_bar_duration)
   local progress_bar_width = flr(progress_width * progress)
  
   rectfill(10, 5, 10 + progress_bar_width, 5 + progress_height, 11) -- dessiner la barre de progression en vert

   -- afficher le timer global
   local global_elapsed = time() - _.e.global_timer_start
   local global_hours = flr(global_elapsed / 3600)
   local global_minutes = flr((global_elapsed % 3600) / 60)
   local global_seconds = flr(global_elapsed % 60)
  
   -- formatage du timer global en hh:mm:ss
   local global_timer_str = _:format_time(global_hours, global_minutes, global_seconds)
   print(global_timer_str, 90, 5, 7) -- dれたplacer en haut れき droite

   if _.e.game_over then
    _.e.f=1
    _.e.l=15
   end
  end
 end
})

-->8
-- pico-8
function _init()
 msg=''
 fx:init()
 en1=env:new()
 en1:init()
 pl1=plr:new({e=en1})
 pl1:init()
 hd1=hud:new({e=en1, p=pl1})

 upd=false
end

function _draw()
 upd=false
 if fx:get()!=1 then
  upd=fx:get()!=2
  en1:draw()
  pl1:draw()
  hd1:draw()
  print(msg,63-#msg*2,0)
 end
 fx:draw()
end

function _update()
 if upd then
  pl1:update()
 end
end

__gfx__
0000000000000000dddddddddddddddddddddddddddddddd00000000000000000000000000000000004444000000000000444400000000000000000000000000
0000000000000000dd6666dddd6666dddd6666dddd6666dd00000000000000000000000000000000048848400044440004884840004444000000000000000000
0000000000666000d5dddd6dd5dddd6dd5dddd6dd5dddd6d000000000000000000000000000000000444f440048848400444f440048848400000000000000000
0000000000666000d5dddd6dd5d44d6dd5d99d6dd5daad6d0000000000000000000000000000000004cffc400444f44004cffc400444f4400000000000000000
0000000006666600d5dddd6dd5d44d6dd5d99d6dd5daad6d0000000000000000000000000000000004ffff4004cffc4004ffff4004cffc400000000000000000
0000000000666000d5dddd6dd5dddd6dd5dddd6dd5dddd6d000000000000000000000000000000000707707004ffff400707707004ffff400000000000000000
0000000000606000dd5555dddd5555dddd5555dddd5555dd000000000000000000000000000000000f0220f0070770000f0220f0000770700000000000000000
0000000000080000dddddddddddddddddddddddddddddddd00000000000000000000000000000000002002000ff222000020020000222ff00000000000000000
00000000000000000006700000000000000000000000000000000000000000000000000000000000000dd000000dd000000dd000000dd0000000000000000000
000000000cccccc0006cc70000000000000000000000000000000000000000000000000000000000006766000067660000676600006766000000000000000000
000000000c7cc7c006cccc700004400000099000000aa0000004400000044000000000000000000000d80d0000d80d0000d80d0000d08d000000000000000000
000000000cc77cc006cccc70004494000099a90000aa7a0000049000000440000000000000000000076776700767767007677670076776700000000000000000
000000000cc77cc006cccc70004444000099990000aaaa0000044000000940000000000000000000066c7660066c7660066c7660066c76600000000000000000
000000000c7cc7c006cccc700004400000099000000aa00000044000000440000000000000000000076d7670076d7670076d7670076d76700000000000000000
000000000cccccc006cccc70000000000000000000000000000000000000000000000000000000000607d0600607d0600607d0600607d0600000000000000000
00000000000000000066770000000000000000000000000000000000000000000000000000000000000880000008800000088000000880000000000000000000
000000000000000000067000dddddddddddddddddddddddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000060060000688700dddddddddddddddddddddddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000660065006888870ddd44dddddd99ddddddaaddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000065660006888870dd4494dddd99a9ddddaa7add00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000066560006888870dd4444dddd9999ddddaaaadd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000560066006888870ddd44dddddd99ddddddaaddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000060060006888870dddddddddddddddddddddddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000667700dddddddddddddddddddddddd00000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000006000000060000000060000000600000000000000000
00000000000006000000060000000600000006000000000000000600000000000000000000000600000066600000666000000666060006660000006000000600
00000000600066600000666060006660000066600000000060006660000006000000060000006660066666600666666000666666006666660600066660006660
00000000066666600666666006666660066666600000000006666660000066606000666006666660606666006066660006066660000666600066666606666660
00000000006666006066660000666600606666000000000000666600066666600666666060666600065056000650560000650560066505600006666000666600
00000000065056000560650006505600056065000000000006505600666666000666660006505600650560006500560006500056000000560665056006505600
00000000600550600566005060505060506600500000000006050560065056600650566006505600000000000000000000000000000000000000005606050560
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
60000600006006000060060060000600600006000060060000600600600006000000000000000000000000000000000000000000000000000000000000000000
06006660060066600600666006006660060066600600666006006660060066600000000000000000000000000000000000000000000000000000000000000000
56666660566666600666666006666660566666605666666006666660066666600000000000000000000000000000000000000000000000000000000000000000
66666600666666006666660066666600666666006666660066666600666666000000000000000000000000000000000000000000000000000000000000000000
00000566000005665500056655000566000005660000056655000566550005660000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000006000000060000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00600600006006000660060000000600000000000000000000000000000006000000000000000000000000000000000000000000000000000000000000000000
06006660066066606660666000006660600000000006000000000600000066600000000000000000000000000000000000000000000000000000000000000000
56666660666666606666666006666660066606000660060060006660066666600000000000000000000000000000000000000000000000000000000000000000
66666600650666006506660060666600006666606660666006666660606666000000000000000000000000000000000000000000000000000000000000000000
00000566065005660650560006505600065666606666666006666600065056000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000056006500560065066556566665506505660065056000000000000000000000000000000000000000000000000000000000000000000
__label__
11111111111111111111111111111111111111111111111111111666166611661666116611111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111616161616161161161611111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111666166116161161161611111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111611161616161161161611111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111611161616611161166111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111011111111100011111011111110001111100011111110111111111111111111111111111111111111111111
11111111111111111111111111111111111111111011111111100011111011111110001111100011111110111111111111111111111111111111111111111111
11111111111111111111111111111111111111111000011111101111111011111111011111101011111110000111111111111111111111111111111111111111
11111111111111111111111111111111111111111000011111101111111011111111011111101011111110000111111111111111111111111111111111111111
11111111111111111111111111111111111111111a001111111aaa11111a1111111aaa11111aaa1111111a001111111111111111111111111111111111111111
11111111111111111111111111111111111111111a001111111aaa11111a1111111aaa11111aaa1111111a001111111111111111111111111111111111111111
11111111111111111111111111111111111111110aaaa111111a1111111a11111111a111111a1a1111110aaaa111111111111111111111111111111111111111
11111111111111111111111111111111111111110aaaa111111a1111111a11111111a111111a1a1111110aaaa111111111111111111111111111111111111111
11111111111111111111111111111111111111111aaa1111111aa111111a00111110a011111aaa1111111aaa1111111111111111111111111111111111111111
11111111111111111111111111111111111111111aaa1111111aa111111a00111110a011111aaa1111111aaa1111111111111111111111111111111111111111
1111111111111111111111111111111111111111aaaa1111111a1111111a11111111a111111a11111111aaaa1111111111111111111111111111111111111111
1111111111111111111111111111111111111111aaaa1111111a1111111a11111111a111111a11111111aaaa1111111111111111111111111111111111111111
1111111111111111111111111111111111111111111a1111111a1111111aaa11111aaa11111a11111111111a1111111111111111111111111111111111111111
1111111111111111111111111111111111111111111a1111111a1111111aaa11111aaa11111a11111111111a1111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117771666116616661666166611111611166611111666161616661111166616661666161611111111111111111
11111111111111111111111111111111111111117171616161611611611116111111611111611111161161616661111111616161116161611111111111111111
11111111111111111111111111111111111111117771661161611611661116111111611116611111161161616161111166616161666166611111111111111111
11111111111111111111111111111111111111117111616161611611611116111111611111611111161166616161111161116161611111611111111111111111
11111111111111111111111111111111111111117111616166116611666116111111666166611111666166616161111166616661666111611111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111dddddddd11111111111111111111111111167111
1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111dddddddd111111111111111111111111116cc711
1111111111111111111111111111111111111111111111111111111111111111116661111111111111111111dddddddd11111111111111111111111116cccc71
1111111111111111111111111111111111111111111111111111111111111111116661111111111111111111dddddddd11111111111111111111111116cccc71
1111111111111111111111111111111111111111111111111111111111111111166666111111111111111111dddddddd11111111111111111111111116cccc71
1111111111111111111111111111111111111111111111111111111111111111116661111111111111111111dddddddd11111111111111111111111116cccc71
1111111111111111111111111111111111111111111111111111111111111111116161111111111111111111dddddddd11111111111111111111111111666611
1111111111111111111111111111111111111111111111111111111111111111111811111111111111111111dddddddd11111111111111111111111111111111
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
1111111111111111111111111111111111111111111111111111111111111111dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111777771111711777771111111661666161611661616166611111116111116611666116616661666166611111
11111111111111111111111111111111111111117771177117117711777111116111616161616111616161111111161111116161616161611611161161111111
11111111111111111111111111111111111111117711177117117711177111116111666161616111666166111111161111116161661161611611161166111111
11111111111111111111111111111111111111117771177117117711777111116161616161616111616161111111161111116161616161611611161161111111
11111111111111111111111111111111111111111777771171111777771111116661616116611661616166611111611111116661616166116661161166611111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111777771111116661611166616661111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117771777111116111611116116161111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117711177111116611611116116661111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117711177111116111611116116111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111777771111116111666166616111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111777771111116661111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117717177111111161111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117771777111111661111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111117717177111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111777771111111611111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111

__gff__
0000000102030000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000110000000000000000000000000000000000000000000000000000000000001201131100000000000000150000000000000000000000000000020202021300000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000110000000000000000000000000000000000000014000202020202020202040302020302020202000002020000000000000000001500000000020000020200000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000200000000000000000012010000000000000202020200000000000000000002000200000000000000000000020000000002000002000000000000000000000200000000020000000000000000000000000000000000000000000000000202020202240000000000000000
0000000000000000000000000000000011001300000200000202020002020202020200000000000214000200000000000000000002000202020202020200000000020000140002000002000000000000000000000202020202020000000000000000000000020202020000000000000000000200000015000000000000000000
0000000000000000000000000000000011000202030200000000000002000000000200000000000202000000000000000000000002000000000000000200000000020000020002000002000000000000000000000000000000020000000000000000000000020000020000000000000000000203020002000404020202050505
0000000000000000000000000000000000000200000000000000000002000000000202020000000202020203040200000000000002000000000000000200000000021300020004000002000000000000000000140202020000020000000000001100020302020000020000000000000000000000020002000200000005000000
0000000000000000010000020000001201000200000000000200000002000000001300020002000200000000000200000000020002020202020202000200000000020303020202020202001300000000000000000000020000020000000000001100021400000000020000000000000000000200020002000000000005000000
0000000000000000020202020202020202020200000000000200000002000000000200000002000200000000000200001100020000000002140000000200000000000000000000000002020502030200000000000000020000020000000000120100020505020202020000000000000011000200020002020202020202020212
0000000000000000000000000000000000000000000002020200000002000000000202020000000200000000000200001100020000000002000000000200000000000000000000000000000000000200110000000000020000020000000205030202230000000000000000000000000011000200020000000000000000000202
0000000000000000000000000000000000000000020000000000020002000000000000020202020200000000000200120100021300000003000000000200000000000000000000000000000000000200110002130200020000020000000000000002000000000000150005000000001201150200020000000000000000000000
0000000000000000000000000000000000000000020202020202020202000000000000000000000000000000000202020202020202020202030202020200000000000000000000000000000000000212010002030202020000020000000000000002020202020202020202020202040202020223020000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000203020202000000000000020000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002020202040202020000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001300000000000000000000000000000000000000000000000000
0000001500000000000000000000000011000000000000000000000000000000000000000202020002000000000000000000000000000000000000000000000000000000000000020202020000000000000002020202020202020202020200000000000000000202020214000000000000000000000000000000000000000000
0000000202020202000000000000001201110000000000000000000000000000000000000200020302020000000000000000000000000000000000000000000000000000151404030002021300000000002302020202020202020202020202000000000000000200000202000000000000000000000000000000000000000000
0000000000000002000000022302030202020000020202000000000000000000000000000200022102021302020000000000020000020200000014001400000000000000020304000002000000000000000202020000000000000000000224001113020200000202020000000000000000000000000000000000000000000000
0023030202020002040000020000000000020014000002150000000000000000000000001415020202020202000000000000020200020202000003040424000011000000000000002402000000000000110202000002020202020000000002021100000200000000230000000000000000000000000000000000000000000000
0002000200020002210202020000000000020013000002020502000200000000000000020202020202020202000000001100020225020002020003210202000011000000000000000200000000000000110202000202000000000000000004120102000200000000020000000000000000000000000000000000000000000000
0002140200020402020200000000000000020000000002000014000200000000110000020202020200000002000000001100020002000002000003020202001201000000130000000214000000000012010000000203030000000404000005030202000200000000020000000000001213010000000022000000000000000000
1102000000000002000000000000000000020000000002000002020200000000110002020000000000020023000000120100020000000002000203000002040502230302022302030202230203030405020202020203030000000404000505210200000200000000020000000304050202020302020202000000000000000000
1102050202020202000000000000000000020000000002000000000000000012010000000002040202020002000304052303020000000002002103000000000000000000000000150013020000000000000202020225040404040404050502020221250203050000020000000200000000000000000000000000000000000000
0102210200000000000000000000000000022300000002000202020203040504020202020202130202001302000000000000000000000002020202000000000000000000000000022102020000000000000202000003030223020202022402000202020000000000020000250200000000000000000000000000000000000000
0202020200000000000000000000000000000203250502000000000000000000000000000202020202000202000000000000000000000000000000000000000000000000000000020202000000000000000202000003030000000000000202000000000000042100020002020000000000000000000000000000000000000000
0000000000000000000000000000000000000221020202000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000202212121212121212121210202000000000000000200020202000000000000000000000000000000000000000000
0000000000000000000000000000000000000202020202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002020202020202020202020200000000000000000000020000000000000000000000000000000000000000000000
0000000000000000000000000000000000000202020202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020202020000000000000000000000000000000000000000000000
0000000000000000000000000000000000000202020202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__sfx__
000a000019070190701b070000001c070000001e07000000200700000000000000002507000000000000000023070000000000000000200700000000000000002207023070220702207022070220700000000000
000c00003e0143d0213c0213a0213b0213a0213901138011370113601135011340113301132011300111f02102014006010c60118601222010c60100601006050000000000000000000000000000000000000000
000d000019310000001a3101c310000001e3100040021310201002231023310231002431025310263102831000000000000000012500000000000000000000000000000000000000000000000000000000000000
000a00000000023070000000000000000200702007022070220702307000000000000000022070000001e070000001b0700000000000000001c0700000000000000001b0701c0701b0701b0701b0701b07000000
000a0000000000000019070190701b070000001c070000001e070000001c0701c0701c070000001b070000001c070000001e0701e0701e070000001e0701c070000001b070000001907019070190701907019070
000a00000000000000000001e0701e0701e070000001c070000001b07000000190701907019070000001b070000001c070000001e0701e0701e070000001c070000001e070000002007020070200702007020070
000e00001f1641f1612116423164231611f1641f1612416424162241612416424161231642316121164211612316423162231611f1641f1621f1611c1641c1621c1621c1621c1621c1621c1621c1621c1621c161
000e00001f1641f1612116423164231611f1641f1612416424162241612416424161231642316121164211612316423162231611f1641f1621f16128164281622816228162281622816228162281622816228161
000e00001d1641f1642116400000241640000023164000001f16400000211640000000000211640000000000291642b1642d1640000030164000002f164000002b164000002d16400000000002d1640000000000
000e000000000000001f1641f1612116423164231611f1641f1612416424162241612416424161231642316121164211612316423162231611f1641f1621f1611c1641c1621c1621c1621c1621c1621c1621c162
000e00001c1621c1611f1641f1612116423164231611f1641f1612416424162241612416424161231642316121164211612316423162231611f1641f1621f1612816428162281622816228162281622816228162
000e000028162281611f1641f1612116423164231611f1641f1612416424162241612416424161231642316121164211612316423162231611f1641f1621f1611c1641c1621c1621c1621c1621c1621c1621c162
000e00001c1621c1611d1641f1642116400000241640000023164000001f16400000211640000000000211640000000000291642b1642d1640000030164000002f164000002b164000002d16400000000002d164
0809000022560245602656027560295602b5602d5602e5603056030561305603056130560305613056030562305623056230561000002c5602c5622c5622c5622c561000002e5602e5622e5622e5622e56100000
08090000305603056230561000002e5602e56130560305623056230562305623056230562305623056230562305623056230562305022f50100000017002b5022b5022b5022b5010000029500295022950229502
080900003d6500b6503660012600286002c6002a600206001d6001a60000600006000060000600006000060000600006000060000600006000060000600016000160001600016000060000600006000060000600
080900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
080900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
080900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
080900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
080906000140001400014000140001400014000140001400014000140001400014000140001400014000140001400014000140001400014000140000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000e08000000000000000000140001400014000140001400014000140001400014000140001400014000140001400014000140001400014000140001400014000140001400014000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0020000018a5000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__music__
00 01424344
00 41024344
00 00404040
00 03404040
00 04404040
00 05404040
00 064d4040
00 07404040
00 064d4040
00 08404040
00 09404040
00 0a404040
00 0b404040
00 0c404040
00 0d404040
00 0e404040
00 4f404040
00 50404040
00 11404040
00 0f404040
00 12404040
00 13404040
00 0f404040
00 10404040
00 11404040
00 0f404040
00 12404040
00 13404040
00 0f404040
04 14404040
00 1d404040
00 1e404040
04 1f404040

