pico-8 cartridge // http://www.pico-8.com
version 41
__lua__
-- ecran
ecran={
 necr=0,
 init=function(_)
 --[[
 
 -.time duree de l'effet
 _.type type d'effet
 
   0 aucun effet en cours
   1 flash
   2 screen shake
 
 ]]--
  _.time,_.type=0,0
 end,
 -- renvoi le type de l'effet  
 get=function(_)
  return _.type
 end,
 -- demande l'effet type 
 -- pendant time image(s)
 set=function(_,type,time)
  _.type=type
  _.time=time
 end,
 -- affichage
 draw=function(_)
  -- decompte de la duree
  _.time-=1
  if _.time<0 then
   -- arret de l'effet 
   _.type=0
   camera(0,0)
  end
  if _.type==1 then
   -- flash
   rectfill(0,0,127,127,7)
  end
  if _.type==2 then
   -- screen shake
   camera(1-rnd(3),1-rnd(3))
  end
 end
}  


-->8
-- decor
decor={
 init=function(_)
  _.a={0,6,5,4,3,2,1} 
  _.y=0
  _.t=0
  _.mt=0
  _.c=0 
  _.mc=32767
 end,
 strn=function(_,n,t)
  local c='0'
  n=''..n
  if #n>t then
   n='*'
   c=n
  end
  while #n<t do
   n=c..n
  end
  return n
 end,
 draw=function(_)
  local i,mx,my,sy,ny
  local ca,cr,cx,cy
  -- effacement de l'ecran.
  cls(5)
  -- indice dans _.a.
  i=_.y\128+1
  -- decallage de l'affichage. 
  sy=-(_.y%8)
  -- affichage de la 1ere
  -- portion (haut).
  ny=(_.y%128)\8
  mx=(_.a[i]%8)*16 
  my=(_.a[i]\8)*16+ny 

  if engin.y\8<16-ny then
   cx=mx+engin.x\8
   cy=my+engin.y\8
   ca=   fget(mget(cx,cy),0)
      or fget(mget(cx+1,cy),0)
  end

  if engin.y\8+2<16-ny then
   cx=mx+engin.x\8
   cy=my+engin.y\8+2
   cr=   fget(mget(cx,cy),0)
      or fget(mget(cx+1,cy),0)
  end


  map(mx,my,0,sy,
      16,16-ny)

  -- informations
  cursor(0,0)
  print(
   --flr(_.y)..
   --' '..
   _:strn(_.t,4)..
   ' '..
   _:strn(flr(_.c),4)..
   ' ('..
   _:strn(flr(_.mc),4)..
   ')'
   )

  -- affichage de la 2eme
  -- portion (bas).
  i=1+i%#_.a
  mx=(_.a[i]%8)*16 
  my=(_.a[i]\8)*16
            
  if ca==nil then
   cx=mx+engin.x\8
   cy=my+engin.y\8+ny-16
   ca=   fget(mget(cx,cy),0)
      or fget(mget(cx+1,cy),0)
  end

  if cr==nil then
   cx=mx+engin.x\8
   cy=my+engin.y\8+2+ny-16
   cr=   fget(mget(cx,cy),0)
      or fget(mget(cx+1,cy),0)
  end

  map(mx,my,0,sy+(16-ny)*8,
      16,ny+1) 
     
  if ca or cr then
   engin:collide(ca)  
  end      
 end,
 update=function(_)
  _.c+=1/6
 end,
 avance=function(_,y)
  _.y+=y
  if _.y<0 then
   _.y+=#_.a*128
   _.t+=1
   if   _.t>1 
    and _.mt<_.t
    and _.c<_.mc 
    then
    _.mt=_.t
    _.mc=_.c
   end
   _.c=0
  end
  if _.y>=#_.a*128 then 
   _.y-=#_.a*128 
   _.t-=1 
  end
 end
}


-->8
-- engin
engin={
 init=function(_)
  _.x=60
  _.y=65
  _.vy=1
  _.s=5
 end,
 draw=function(_)
  -- detection type de sol
  _.s=pget(_.x+3,_.y+(_.vy*2))
  -- affichage du vehicule     
  spr(32+flr(10*t()%4)
   ,_.x,_.y+(_.vy*2),1,2)
 end,
 update=function(_) 
  decor:avance(
   (btn(⬆️) and -_.vy) or 
   (btn(⬇️) and _.vy) or
   0
  ) 
  if btn(⬆️) or btn(⬇️) then
   -- avance
   if _.vy>1 then
   _.x+=(    btn(⬅️)
         and _.x>0
         and -1) or 
        (    btn(➡️)
         and _.x<120
         and 1) or
        0
   end     
   if _.s==5 then
    -- sur la route
    if _.vy<7 then     
      _.vy+=.2  
    end
   else
    -- dans l'herbe
    if _.vy>2 then
     _.vy-=.8
    end
    ecran:set(2,1)
   end
   
  else
   -- freine
   if _.vy>2 then
    _.vy-=.4
   end
  end
 end,
 collide=function(_,ca)
  ecran:set(1,1)
  if ca then
   decor:avance(_.vy*2)
  else
   decor:avance(_.vy*2-8)
  end
  _.vy=0
 end
}
-->8
-- rival
rival={
}
-->8
-- pico8
function _init()
 ecran:init()
 decor:init()
 engin:init()
end

function _update60()
 if ecran.necr==0 then
  if btn(❎) then
   ecran.necr+=1
  end
 end
 
 
 if ecran.necr==1 then
  decor:update()
  engin:update()
 end
end

function _draw()
 if ecran.necr==0 then
  cls(5)
  cursor(26,50)
  print("\^wv r o u m")
  cursor(28,100)
  line(3,97,124,97)
  print("❎ pour commencer")
 end

 if ecran.necr==1 then
  if ecran:get()!=1 then
  decor:draw()
  engin:draw()
  end
  ecran:draw()
 end
end
__gfx__
00000000222288887777777700999900000000000099990000999900000000000099990000999900009999000099990000999900000000000000000000000000
00000000200000087777777709000090000000900000009000000090090000000900000009000000000000900900009009000090000000000000000000000000
00700700208822087777777709000090000000900000009000000090090000000900000009000000000000900900009009000090000000000000000000000000
00077000208282087777777700000000000000000099990000999900009999000099990000999900000000000099990000999900000000000000000000000000
00077000802828027777777709000090000000900900000000000090000000900000009009000090000000900900009000000090000000000000000000000000
00700700802288027777777709000090000000900900000000000090000000900000009009000090000000900900009000000090000000000000000000000000
00000000800000027777777700999900000000000099990000999900000000000099990000999900000000000099990000999900000000000000000000000000
00000000888822227777777700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00011000000110000001100000011000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00011000000110000001100000011000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00077000000770000007700000077000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
07711770077117700771177007711770000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
08111180081111800811118008111180000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
08177180081771800817718008177180000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
08177180081771800817718008177180000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00877800008778000087780000877800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00888800008888000088880000888800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00188100001881000018810000188100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00011000000110000001100000011000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00711700007117000071170000711700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00788700007887000078870000788700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000770000097700000d7700000077000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00088000000880000068800000d88000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000600000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000003300000000000033000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000303303000003000000000000003000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000033330000003300000000000033000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00030303303030003000000000000003000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00003333333300003300000000000033000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
03030333333030303000000000000003000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00333333333333003300000000000033000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
03033333333330303000000000000003000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
03033333333330303330000000000333000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00333333333333003033000000003303000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
03030333333030303330000000000333000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00003333333300003033000000003303000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00030303303030003330000000000333000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000033330000003033000000003303000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000303303000003330000000000333000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000003033000000003303000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333333333333333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333030030333333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333300003333333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33303030030303333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33330000000033333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
30303000000303033333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33000000000000333333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
30300000000003033333333300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
30300000000003030000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33000000000000330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
30303000000303030000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33330000000033330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33303030030303330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333300003333330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333030030333330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
33333333333333330000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__label__
ccc28888000000000000000000000000000000000000000000000000222288882222888800000000000000000000000000000000000000000000000022228888
c0c00008000000000000009000000000000000000000000000000000200000082000000800000000000000000000000000000000000000000000000020000008
c0c82208000000000000009000000000000000000000000000000000208822082088220800000000000000000000000000000000000000000000000020882208
c0c28208000000000000000000000000000000000000000000000000208282082082820800000000000000000000000000000000000000000000000020828208
ccc82802000000000000009000000000000000000000000000000000802828028028280200000000000000000000000000000000000000000000000080282802
80228802000000000000009000000000000000000000000000000000802288028022880200000000000000000000000000000000000000000000000080228802
80000002000000000000000000000000000000000000000000000000800000028000000200000000000000000000000000000000000000000000000080000002
88882222000000000000000000000000000000000000000000000000888822228888222200000000000000000000000000000000000000000000000088882222
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
22228888000000000099990000000000000000000000000000000000009999000000000000000000000000000000000000000000000000000000000022228888
20000008000000000900009000000000000000000000000000000000090000900000009000000000000000000000000000000000000000000000000020000008
20882208000000000900009000000000000000000000000000000000090000900000009000000000000000000000000000000000000000000000000020882208
20828208000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020828208
80282802000000000900009000000000000000000000000000000000090000900000009000000000000000000000000000000000000000000000000080282802
80228802000000000900009000000000000000000000000000000000090000900000009000000000000000000000000000000000000000000000000080228802
80000002000000000099990000000000000000000000000000000000009999000000000000000000000000000000000000000000000000000000000080000002
88882222000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000088882222
22228888000000000099990000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000022228888
20000008000000000900009000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000020000008
20882208000000000900009000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000020882208
20828208000000000099990000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000020828208
80282802000000000000009000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000080282802
80228802000000000000009000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000080228802
80000002000000000099990000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000080000002
88882222000000000000000000000000000000000000000000000000777777777777777700000000000000000000000000000000000000000000000088882222
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000900000009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000099990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
22228888000000000099990000000000000000000000000000000000222288882222888800000000000000000000000000000000000000000000000022228888
20000008000000900900000000000000000000000000000000000000200000082000000800000000000000000000000000000000000000000000000020000008
20882208000000900900000000000000000000000000000000000000208822082088220800000000000000000000000000000000000000000000000020882208
20828208000000000099990000000000000000000000000000000000208282082082820800000000000000000000000000000000000000000000000020828208
80282802000000900900009000000000000000000000000000000000802828028028280200000000000000000000000000000000000000000000000080282802
80228802000000900900009000000000000000000000000000000000802288028022880200000000000000000000000000000000000000000000000080228802
80000002000000000099990000000000000000000000000000000000800000028000000200000000000000000000000000000000000000000000000080000002
88882222000000000000000000000000000000000000000000000000888822228888222200000000000000000000000000000000000000000000000088882222

__gff__
0001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
a29200000000000000000000000393a2a2a2a2a29200000000000493a2a2a2a2a2a2a2a29200000000000593a2a2a2a2a29200000000000000000000000693a2a2920000000083a2a2820000000793a2a2920000000083a2a2820000000893a2a29200000000000000000000000993a201000000000000000100000000000001
a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a2a2a00000000000000000a1a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a2a000000000000000000000a1a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a29200000000019091010000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a2a0000000000000000000000000a1a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a29200000000000101000000000093a2a2920000000083a2a2820000000093a2a29200000000000000000000000093a201000000000000030a00000000000001
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2b0000000000000000000000000b1a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a29200000000008081000000000093a201000000000000020200000000000001
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2b000000000000000000000b1a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2b00000000000000000b1a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a200000000000000000000000000000000
a29200000000000000000000000093a2a29200000000000000000000000093a2a2a2a2a29200000000000093a2a2a2a2a2a2a2a29200000000000093a2a2a2a2a29200000000000000000000000093a2a2920000000083a2a2820000000093a2a2920000000083a2a2820000000093a201000000000000010100000000000001
010000000000000101000000000000a201000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
01000000000000030b000000000000010100000000000000030c000000000001010000000000000403000000000000010100000000000004040000000000000101000000000000040500000000000001010000000000000406000000000000010100000000000004070000000000000101000000000000040800000000000001
0100000000000002020000000000000101000000000000000202000000000001010000000000000202000000000000010100000000000002020000000000000101000000000000020200000000000001010000000000000202000000000000010100000000000002020000000000000101000000000000020200000000000001
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001010000000000000101000000000000010100000000000001
